Subject: Help with a Pluteus

From: Roy W. Taylor <[email-masked]>
Date: 15 Jul 1996 00:08:01 GMT

I need some help in identifying a specimen that is most likely a Pluteus, 
and most closely resembles a mushroom identified by Arora in MD as
P. pellitus - with one notable exception. These wer growing about 10 to
fifteen meters up on the sides of a large dead pine tree, as opposed to
a hardwood.

To wit: White cap with brown scales near the center, crowded free gills,
white in young specimen, pink in older specimen. No annulus or volva.
Cap diameter to 14cm. Spores dark pink, smooth, elliptical. Stem to 1.5
cm in diameter, to 8cm in length. Odor faintly pleasant; taste excellent -
a bit like a cross between an Agaricus and a Pleurotus; small quantities
have produced no ill side effects.

Anyone have a clue?

Thanks,

Roy Taylor